Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider
Class AbstractVfsComponent

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent

All Implemented Interfaces:
  VfsComponent

Direct Known Subclasses:
  AbstractFilesCache, AbstractFileSystem, AbstractVfsContainer, DefaultFileReplicator

public abstract class AbstractVfsComponent
extends Object
implements VfsComponent

A partial `VfsComponent` implementation.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`AbstractVfsComponent()`

Method Summary
`void` | `close()` Closes the provider.
`protected VfsComponentContext` | `getContext()` Returns the context for this provider.
`protected org.apache.commons.logging.Log` | `getLogger()` Returns the logger for this file system to use.
`void` | `init()` Initialises the component.
`void` | `setContext(VfsComponentContext context)` Sets the context for this file system provider.
`void` | `setLogger(org.apache.commons.logging.Log log)` Sets the Logger to use for the component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractVfsComponent

    public AbstractVfsComponent()

Method Detail

### setLogger

    public final void setLogger(org.apache.commons.logging.Log log)

  Sets the Logger to use for the component.

  Specified by:
    `setLogger` in interface `VfsComponent`
  Parameters:
    `log` -

### setContext

    public final void setContext(VfsComponentContext context)

  Sets the context for this file system provider.

  Specified by:
    `setContext` in interface `VfsComponent`
  Parameters:
    `context` - The context.

### init

    public void init()
              throws FileSystemException

  Initialises the component. This implementation does nothing.

  Specified by:
    `init` in interface `VfsComponent`
  Throws:
    `FileSystemException`

### close

    public void close()

  Closes the provider. This implementation does nothing.

  Specified by:
    `close` in interface `VfsComponent`

### getLogger

    protected final org.apache.commons.logging.Log getLogger()

  Returns the logger for this file system to use.

### getContext

    protected final VfsComponentContext getContext()

  Returns the context for this provider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.